Bug 243851 - Package rename
Package rename
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lablgl (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
bzcl34nup
:
: 241697 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 08:17 EDT by Nigel Jones
Modified: 2008-04-04 09:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2007-06-12 08:17:57 EDT
Hi Gemi,

Any chance you can request that lablgl gets renamed to ocaml-lablgl (per the 
upcoming ocaml guidelines)?

Also, as you've already said you don't have any intentions to package for EPEL 
at present, would you mind if I requested EL- branches for lablgl? (it's 
another package I need for ocaml-SDL etc)
Comment 1 Nigel Jones 2007-06-12 08:19:42 EDT
*** Bug 241697 has been marked as a duplicate of this bug. ***
Comment 2 Richard W.M. Jones 2007-06-12 08:42:59 EDT
I did the changes to the spec file, and a few others as well.  My latest version
of spec/srpm is here:

http://annexia.org/tmp/ocaml/
Comment 3 Gérard Milmeister 2007-06-12 15:38:30 EDT
Yes, this should be done. How do I do it?
Comment 5 Gérard Milmeister 2007-06-17 12:54:10 EDT
Package Change Request
======================
Package Name: lablgl
Rename package to ocaml-lablgl as of
http://fedoraproject.org/wiki/PackagingDrafts/OCaml
Comment 6 Kevin Fenzi 2007-06-19 00:50:06 EDT
Did you want to preserve the cvs history of the package? 
Or did you just want the new package name created? 
Comment 7 Gérard Milmeister 2007-06-30 04:56:18 EDT
(In reply to comment #6)
> Did you want to preserve the cvs history of the package? 
Yes, I think this would be useful.
Comment 8 Nigel Jones 2007-06-30 06:20:01 EDT
(In reply to comment #0)
> Also, as you've already said you don't have any intentions to package for EPEL 
> at present, would you mind if I requested EL- branches for lablgl? (it's 
> another package I need for ocaml-SDL etc)

Can you also consider this part of the request as well?
Comment 9 Warren Togami 2007-07-06 16:09:45 EDT
Renamed and branched for EL-5.  Please verify that the rename happened as
expected.  You may need to upload source tarballs again.
Comment 10 Gérard Milmeister 2007-07-06 17:16:10 EDT
I renamed lablgl.spec to ocaml-labgl.spec and upload the tar.
I also made the necessary changes to the .spec file.
However koji reports the following error:

BuildError: package ocaml-lablgl not in list for tag dist-f8

Is there something still to do?
Comment 11 Kevin Fenzi 2007-07-06 17:19:32 EDT
The owners.list wasn't synced up with koji. 
It should be now... can you try your build again?
Comment 12 Gérard Milmeister 2007-07-06 18:24:02 EDT
The package is now build for rawhide.
Nigel and Richard, please take a look at the package,
then I go on to ocaml-lablgtk.
Comment 13 Richard W.M. Jones 2007-07-12 05:53:30 EDT
Please see my updated spec file which contains fixes above
what is in Rawhide:

http://www.annexia.org/tmp/ocaml/ocaml-lablgl.spec
http://www.annexia.org/tmp/ocaml/ocaml-lablgl-1.02-12.src.rpm
Comment 14 Nigel Jones 2007-07-27 19:53:37 EDT
Hey Gemi, when the cvs was done, Warren branched for EL-5 with you as the branch
owner, was this your intention to happen?  Personally I would quite like/need
ocaml-lablgl/ocaml-lablgtk for EL-4 as well, can you fill in another change
request?  Thanks.
Comment 15 Bug Zapper 2008-04-04 08:48:26 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.